@if ($isLoading()) {
  <sqtm-core-full-page-loading-icon
    class="full-width"
  ></sqtm-core-full-page-loading-icon>
} @else if (nbOfSquashOrchestratorServers > 0) {
  <div
    class="flex"
    [attr.data-test-element-id]="'statuses-count-capsule'"
    (click)="showExecutionEnvironments()"
    [ngClass]="{
      '__hover_pointer __hover_current_ws_border has-environments':
        statusesCount != null
    }"
  >
    <sqtm-core-label
      class="m-r-10"
      [text]="'sqtm-core.entity.server.environment.label.plural' | translate"
      [ngClass]="statusesCount != null ? 'has-environments' : ''"
    >
    </sqtm-core-label>
    <nz-badge nzStandalone="false" [nzCount]="iconTemplate" class="m-r-10">
      <i
        nz-icon
        [nzTheme]="'outline'"
        class="action-icon-size"
        [style.color]="'#62737f'"
        nzType="sqtm-core-administration:automation"
        nzTheme="outline"
      ></i>

      <ng-template #iconTemplate>
        <span
          nz-icon
          [nzType]="getGlobalEnvBadgeType()"
          class="ant-scroll-number-custom-component"
          [style.color]="getGlobalEnvBadgeColor()"
          nz-tooltip
          nzTooltipPlacement="topLeft"
          [nzTooltipTitle]="getGlobalEnvBadgeTooltipMessage() | translate"
          [attr.data-test-icon-id]="'exec-env-count-global-status-icon'"
        ></span>
      </ng-template>
    </nz-badge>
    @for (status of execEnvStatuses; track status) {
      <nz-badge
        class="m-l-4 m-r-4"
        [nzShowZero]="true"
        [nzCount]="getCount(status)"
        [nzOverflowCount]="99"
        [nzSize]="'small'"
        [nzTitle]="null"
        [attr.data-test-element-id]="
          'exec-env-count-status-' + status.toLowerCase()
        "
      >
        <i
          nz-icon
          [nzTheme]="'outline'"
          [nzType]="getIconType(status)"
          [style.color]="getIconsColor()"
          class="action-icon-size"
          nz-tooltip
          nzTooltipPlacement="top"
          [nzTooltipTitle]="status"
          [attr.data-test-icon-id]="'exec-env-status-' + status.toLowerCase()"
        >
        </i>
      </nz-badge>
    }
    <i
      nz-icon
      nzType="sqtm-core-generic:refresh"
      nzTheme="outline"
      class="current-workspace-button action-icon-size m-l-10"
      nz-tooltip
      [nzTooltipTitle]="'sqtm-core.generic.label.refresh' | translate"
      [attr.data-test-toolbar-button-id]="'refresh-button'"
      (click)="refreshCount()"
    >
    </i>
  </div>
}
